Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordio
Class ComposeRecordAppenderAssembler

    java.lang.Object
      com.servingxml.components.recordio.ComposeRecordAppenderAssembler

    public class ComposeRecordAppenderAssembler

extends java.lang.Object

Constructor Summary
`ComposeRecordAppenderAssembler()`

Method Summary
`RecordFilterAppender` | `assemble(ConfigurationContext context)`
`void` | `injectComponent(NewField[] newFields)`
`void` | `injectComponent(ParameterDescriptor[] parameterDescriptors)`
`void` | `injectComponent(XsltConfiguration xsltConfiguration)`
`void` | `setCompositeRecordType(java.lang.String recordTypeName)`
`void` | `setEndTest(java.lang.String endTest)`
`void` | `setField(Name repeatingGroupName)`
`void` | `setRecordType(java.lang.String recordTypeName)`
`void` | `setRepeatingGroup(Name repeatingGroupName)`
`void` | `setRepeatingGroupField(Name repeatingGroupName)`
`void` | `setStartTest(java.lang.String startTest)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComposeRecordAppenderAssembler

    public ComposeRecordAppenderAssembler()

Method Detail

### setStartTest

    public void setStartTest(java.lang.String startTest)

### setEndTest

    public void setEndTest(java.lang.String endTest)

### setRecordType

    public void setRecordType(java.lang.String recordTypeName)

### setCompositeRecordType

    public void setCompositeRecordType(java.lang.String recordTypeName)

### setField

    public void setField(Name repeatingGroupName)

### setRepeatingGroupField

    public void setRepeatingGroupField(Name repeatingGroupName)

### setRepeatingGroup

    public void setRepeatingGroup(Name repeatingGroupName)

### injectComponent

    public void injectComponent(ParameterDescriptor[] parameterDescriptors)

### injectComponent

    public void injectComponent(XsltConfiguration xsltConfiguration)

### injectComponent

    public void injectComponent(NewField[] newFields)

### assemble

    public RecordFilterAppender assemble(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD